Códigos QR
GET https://appcurt.com/api/qr-codes/
curl --request GET \
--url 'https://appcurt.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://appcurt.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| page | Opcional Integer | O número da página da qual você deseja obter os resultados. Padrões para 1. |
| results_per_page | Opcional Integer | Quantos resultados você deseja por página. Os valores permitidos são: 10 , 25 , 50 , 100 , 250 , 500. Padrões para 25. |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://appcurt.com/uploads/qr_code/example.svg",
"qr_code_logo": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
},
"last_datetime": "2021-10-31 09:47:25",
"datetime": "2021-10-29 16:32:25"
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://appcurt.com/api/qr-codes?&page=1",
"last": "https://appcurt.com/api/qr-codes?&page=1",
"next": null,
"prev": null,
"self": "https://appcurt.com/api/qr-codes?&page=1"
}
}
GET https://appcurt.com/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://appcurt.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://appcurt.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://appcurt.com/uploads/qr_code/example.svg",
"qr_code_logo": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
},
"last_datetime": "2021-10-31 09:47:25",
"datetime": "2021-10-29 16:32:25"
}
}
POST https://appcurt.com/api/qr-codes
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| project_id | Opcional Integer | - |
| name | Obrigatório String | - |
| type | Obrigatório String | text , url , phone , sms , email , whatsapp , facetime , location , wifi , event , crypto , vcard , paypal |
| style | Opcional String | square, dot, round |
| foreground_type | Opcional String | color, gradient |
| foreground_color | Opcional String | (foreground_type=color) |
| foreground_gradient_style | Opcional String | vertical horizontal diagonal inverse_diagonal radial (foreground_type=gradient) |
| foreground_gradient_one | Opcional String | (foreground_type=gradient) |
| foreground_gradient_two | Opcional String | (foreground_type=gradient) |
| background_color | Opcional String | |
| background_color_transparency | Opcional Integer | |
| custom_eyes_color | Opcional Boolean | |
| eyes_inner_color | Opcional String | (custom_eyes_color=1) |
| eyes_outer_color | Opcional String | (custom_eyes_color=1) |
| qr_code_logo | Opcional File | - |
| qr_code_logo_size | Opcional Integer | 5-35 |
| size | Opcional Integer | 50-2000 |
| margin | Opcional Integer | 0-25 |
| ecc | Opcional String | L, M, Q, H |
| text | Opcional String | (type=text) |
| url | Opcional String | (type=url) |
| phone | Opcional String | (type=phone) |
| sms | Opcional String | (type=sms) |
| sms_body | Opcional String | (type=sms) |
| Opcional String | (type=email) | |
| email_subject | Opcional String | (type=email) |
| email_body | Opcional String | (type=email) |
| Opcional String | (type=whatsapp) | |
| whatsapp_body | Opcional String | (type=whatsapp) |
| facetime | Opcional String | (type=facetime) |
| location_latitude | Opcional Float | (type=location) |
| location_longitude | Opcional Float | (type=location) |
| wifi_ssid | Opcional String | (type=wifi) |
| wifi_encryption | Opcional String | nopass, WEP, WPA/WPA2 (type=wifi) |
| wifi_password | Opcional String | (type=wifi) |
| wifi_is_hidden | Opcional Boolean | (type=wifi) |
| event | Opcional String | (type=event) |
| event_location | Opcional String | (type=event) |
| event_url | Opcional String | (type=event) |
| event_note | Opcional String | (type=event) |
| event_timezone | Opcional String | (type=event) |
| event_start_datetime | Opcional String | (type=event) |
| event_end_datetime | Opcional String | (type=event) |
| crypto_coin | Opcional String | (type=crypto) |
| crypto_address | Opcional String | (type=crypto) |
| crypto_amount | Opcional String | (type=crypto) |
| vcard_first_name | Opcional String | (type=vcard) |
| vcard_last_name | Opcional String | (type=vcard) |
| vcard_company | Opcional String | (type=vcard) |
| vcard_phone | Opcional String | (type=vcard) |
| vcard_email | Opcional String | (type=vcard) |
| vcard_url | Opcional String | (type=vcard) |
| vcard_job_title | Opcional String | (type=vcard) |
| vcard_birthday | Opcional String | (type=vcard) |
| vcard_street | Opcional String | (type=vcard) |
| vcard_city | Opcional String | (type=vcard) |
| vcard_zip | Opcional String | (type=vcard) |
| vcard_region | Opcional String | (type=vcard) |
| vcard_country | Opcional String | (type=vcard) |
| vcard_note | Opcional String | (type=vcard) |
| vcard_social_label[index] | Opcional String | (type=vcard) |
| vcard_social_value[index] | Opcional String | (type=vcard) |
curl --request POST \
--url 'https://appcurt.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://appcurt.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://appcurt.com/api/qr-codes/{qr_code_id}
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| project_id | Opcional String | - |
| name | Opcional String | - |
| type | Opcional String | text , url , phone , sms , email , whatsapp , facetime , location , wifi , event , crypto , vcard , paypal |
| style | Opcional String | square, dot, round |
| foreground_type | Opcional String | color, gradient |
| foreground_color | Opcional String | (foreground_type=color) |
| foreground_gradient_style | Opcional String | vertical horizontal diagonal inverse_diagonal radial (foreground_type=gradient) |
| foreground_gradient_one | Opcional String | (foreground_type=gradient) |
| foreground_gradient_two | Opcional String | (foreground_type=gradient) |
| background_color | Opcional String | |
| background_color_transparency | Opcional Integer | |
| custom_eyes_color | Opcional Boolean | |
| eyes_inner_color | Opcional String | (custom_eyes_color=1) |
| eyes_outer_color | Opcional String | (custom_eyes_color=1) |
| qr_code_logo | Opcional File | - |
| qr_code_logo_size | Opcional Integer | 5-35 |
| size | Opcional Integer | 50-2000 |
| margin | Opcional Integer | 0-25 |
| ecc | Opcional String | L, M, Q, H |
| text | Opcional String | (type=text) |
| url | Opcional String | (type=url) |
| phone | Opcional String | (type=phone) |
| sms | Opcional String | (type=sms) |
| sms_body | Opcional String | (type=sms) |
| Opcional String | (type=email) | |
| email_subject | Opcional String | (type=email) |
| email_body | Opcional String | (type=email) |
| Opcional String | (type=whatsapp) | |
| whatsapp_body | Opcional String | (type=whatsapp) |
| facetime | Opcional String | (type=facetime) |
| location_latitude | Opcional Float | (type=location) |
| location_longitude | Opcional Float | (type=location) |
| wifi_ssid | Opcional String | (type=wifi) |
| wifi_encryption | Opcional String | nopass, WEP, WPA/WPA2 (type=wifi) |
| wifi_password | Opcional String | (type=wifi) |
| wifi_is_hidden | Opcional Boolean | (type=wifi) |
| event | Opcional String | (type=event) |
| event_location | Opcional String | (type=event) |
| event_url | Opcional String | (type=event) |
| event_note | Opcional String | (type=event) |
| event_timezone | Opcional String | (type=event) |
| event_start_datetime | Opcional String | (type=event) |
| event_end_datetime | Opcional String | (type=event) |
| crypto_coin | Opcional String | (type=crypto) |
| crypto_address | Opcional String | (type=crypto) |
| crypto_amount | Opcional String | (type=crypto) |
| vcard_first_name | Opcional String | (type=vcard) |
| vcard_last_name | Opcional String | (type=vcard) |
| vcard_company | Opcional String | (type=vcard) |
| vcard_phone | Opcional String | (type=vcard) |
| vcard_email | Opcional String | (type=vcard) |
| vcard_url | Opcional String | (type=vcard) |
| vcard_job_title | Opcional String | (type=vcard) |
| vcard_birthday | Opcional String | (type=vcard) |
| vcard_street | Opcional String | (type=vcard) |
| vcard_city | Opcional String | (type=vcard) |
| vcard_zip | Opcional String | (type=vcard) |
| vcard_region | Opcional String | (type=vcard) |
| vcard_country | Opcional String | (type=vcard) |
| vcard_note | Opcional String | (type=vcard) |
| vcard_social_label[index] | Opcional String | (type=vcard) |
| vcard_social_value[index] | Opcional String | (type=vcard) |
curl --request POST \
--url 'https://appcurt.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://appcurt.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://appcurt.com/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://appcurt.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://appcurt.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \